2019-05-24 07:11 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0006203Spring engineGeneralpublic2019-04-16 12:58
ReporterGoogle_Frog 
Assigned ToKloot 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Product Version104.0 +git 
Target VersionFixed in Version104.0 +git 
Summary0006203: 104.0.1-1745-g3758b87 develop Hang while loading
DescriptionSpring stops responding some time near the end of loading.
TagsNo tags attached.
Checked infolog.txt for lua ErrorsYes
Attached Files
  • txt file icon infolog.txt (20,473 bytes) 2019-04-16 12:13 -
    Using writeable configuration source: "C:\Users\Tim\Documents\my games\Spring Dev\springCraft\springsettings.cfg"
    Using additional read-only configuration source: "C:\Users\Tim\Documents\My Games\Spring\springsettings.cfg"
    LogOutput initialized. Logging to C:\Users\Tim\Documents\my games\Spring Dev\springCraft\infolog.txt
    ============== <Log Sections> ==============
      Available:
        ArchiveScanner
        AutohostInterface
        BumpWater
        CSMFGroundTextures
        CregSerializer
        DecalsDrawerGL4
        FarTextureHandler
        Font
        GameServer
        GroundMoveType
        KeyBindings
        LuaSocket
        Model
        Net
        Path
        Piece
        RoamMeshDrawer
        Shader
        SkyBox
        Sound
        Texture
        VFS
      Enabled:
        Sound (Notice)
      
      Enable or disable log sections using the LogSections configuration key
      or the SPRING_LOG_SECTIONS environment variable (both comma separated).
      Use "none" to disable the default log sections.
    ============== </Log Sections> ==============
    
    ============== <User Config> ==============
      AllowDeferredMapRendering = 1
      AllowDeferredModelRendering = 1
      BumpWaterBlurReflection = 1
      BumpWaterTexSizeReflection = 128
      CamMode = 1
      CamTimeExponent = 4.0
      CamTimeFactor = 1.0
      DebugGL = 1
      DebugGLStacktraces = 1
      DualScreenMiniMapOnLeft = 1
      EdgeMoveDynamic = 0
      EdgeMoveWidth = 0.003
      FPSFOV = 90
      FSAALevel = 4
      FeatureDrawDistance = 600000
      FeatureFadeDistance = 600000
      FontSize = 18
      ForceDisableClipCtrl = 1
      Fullscreen = 0
      GrassDetail = 4
      GroundDecals = 2
      GroundDetail = 100
      GuiOpacity = 0.9
      HangTimeout = 5
      HardwareCursor = 1
      InitialNetworkTimeout = 0
      InputTextGeo = 0.26 0.73 0.02 0.028
      LODScale = 1.000
      LODScaleReflection = 1.000
      LODScaleRefraction = 1.000
      LODScaleShadow = 1.000
      LastSelectedMap = Adansonia v4.1
      LastSelectedMod = SpringCraft $VERSION
      LastSelectedScript = Null AI
      MaxParticles = 15000
      MaxSounds = 32
      MaximumTransmissionUnit = 0
      MiddleClickScrollSpeed = -0.0015
      MiniMapMarker = 0
      MouseDragScrollThreshold = 0
      OverheadMaxHeightFactor = 1.39999998
      OverheadScrollSpeed = 50
      ReconnectTimeout = 0
      RotateLogFiles = 1
      ScreenshotCounter = 30
      ScrollWheelSpeed = -25
      ShadowMapSize = 2047
      Shadows = 1
      ShowFPS = 1
      ShowPlayerInfo = 0
      ShowSpeed = 1
      SplashScreenDir = ./MenuLoadscreens
      TeamHighlight = 0
      TreeRadius = 1200
      UnitIconDist = 151
      UnitLodDist = 9999
      UseDistToGroundForIcons = 1.10000002
      Water = 4
      WindowBorderless = 1
      WindowPosX = 0
      WindowPosY = 23
      XResolution = 1920
      XResolutionWindowed = 1920
      YResolution = 1080
      YResolutionWindowed = 1017
      snd_volmaster = 23
    ============== </User Config> ==============
    
    ============== <User System> ==============
      Spring Engine Version: 104.0.1-1745-g3758b87 develop
          Build Environment: gcc libstdc++ version 20171010
           Compiler Version: gcc-5.5.0
           Operating System: Windows 10 April 2018 Update (build 17134)
            Hardware Config: Intel(R) Core(TM) i7-3930K CPU @ 3.20GHz; 16303MB RAM, 25007MB pagefile
           Binary Word Size: 32-bit (emulated)
              Process Clock: std::chrono::high_resolution_clock
         Physical CPU Cores: 6
          Logical CPU Cores: 12
    ============== </User System> ==============
    
    [good_fpu_init][STREFLOP_SSE]
    	SSE 1.0 : 1,  SSE 2.0 : 1
    	SSE 3.0 : 1, SSSE 3.0 : 1
    	SSE 4.1 : 1,  SSE 4.2 : 1
    	SSE 4.0A: 0,  SSE 5.0A: 0
    [WatchDog::Install] installed (hang-timeout: 5s)
    [WatchDog::RegisterThread] registering controls for thread [main]
    [GL::CheckAvailableVideoModes] desktop={1920x1080x24bpp@60Hz} current={1920x1080x24bpp@60Hz}
    	display=1 modes=32 bounds={x=0, y=0, w=1920, h=1080}
    		[ 1] 1920x1080x24bpp@60Hz
    		[ 2] 1680x1050x24bpp@60Hz
    		[ 4] 1600x1024x24bpp@60Hz
    		[ 6] 1600x900x24bpp@60Hz
    		[16] 1280x800x24bpp@75Hz
    		[20] 1280x720x24bpp@75Hz
    	display=2 modes=36 bounds={x=1920, y=0, w=1920, h=1080}
    		[ 1] 1920x1080x24bpp@60Hz
    		[ 3] 1680x1050x24bpp@60Hz
    		[ 5] 1600x1024x24bpp@60Hz
    		[ 7] 1600x900x24bpp@60Hz
    		[17] 1280x800x24bpp@75Hz
    		[21] 1280x720x24bpp@75Hz
    [GR::CreateSDLWindow] using 4x anti-aliasing and 24-bit depth-buffer (PF="SDL_PIXELFORMAT_RGB888") for main window
    [GR::CreateSDLWindow] using 4x anti-aliasing and 24-bit depth-buffer (PF="SDL_PIXELFORMAT_RGB888") for hidden window
    [GR::LogVersionInfo]
    	SDL version : 2.0.8 (linked) / 2.0.8 (compiled)
    	GL version  : 4.6.0 NVIDIA 388.71
    	GL vendor   : NVIDIA Corporation
    	GL renderer : GeForce GTX 1060 6GB/PCIe/SSE2
    	GLSL version: 4.60 NVIDIA
    	GLEW version: 2.1.0
    	GPU memory  : 6144MB (total) / 2203MB (available)
    	SDL swap-int: 1
    	
    [GR::LogGLSupportInfo]
    	NVX GPU mem-info support  : 1
    	ATI GPU mem-info support  : 0
    	NPOT-texture support      : 1 (1)
    	texture query-LOD support : 1 (1)
    	24-bit Z-buffer support   : 1 (-)
    	primitive-restart support : 1 (1)
    	clip-space control support: 0 (1)
    	seamless cube-map support : 1 (1)
    	frag-depth layout support : 1 (-)
    	
    	max. FBO samples             : 32
    	max. texture size            : 32768
    	max. texture anisotropy level: 16.000000
    	max. vec4 varyings/attributes: 31/16
    	max. draw-buffers            : 8
    	max. rec. indices/vertices   : 1048576/1048576
    	max. uniform buffer-bindings : 84
    	max. uniform block-size      : 64KB
    	
    	enable ATI-hacks : 0
    	compress MIP-maps: 0
    	
    [GR::ToggleGLDebugOutput] OpenGL debug-message callback enabled (source=DONT_CARE type=DONT_CARE severity=DONT_CARE)
    [GR::UpdateGLConfigs]
    [VSync::SetInterval] interval=0 (disabled)
    [GR::UpdateGLGeometry][1] winSize=<1,1>
    [GR::UpdateGLGeometry][2] winSize=<1920,1017>
    [GR::InitGLState] glAttribStatePtr=00000000
    [GR::LogDisplayMode] display-mode set to 1920x1017x24bpp@60Hz (windowed::decorated)
    [TexMemPool::Resize] poolSize=134217728u allocSize=0u texCount=0u
    [~ScopedOnceTimer][FtLibraryHandler::FontConfigInit (version 2.10.2)] 1ms
    [WatchDog::RegisterThread] registering controls for thread [vfsi]
    [DataDirLocater::Check] Portable Mode!
    Using read-write data directory: C:\Users\Tim\Documents\my games\Spring Dev\springCraft\
    Using read-only data directory: C:\Users\Tim\Documents\My Games\Spring\
    Scanning: C:\Users\Tim\Documents\My Games\Spring\maps
    Scanning: C:\Users\Tim\Documents\My Games\Spring\games
    Scanning: C:\Users\Tim\Documents\My Games\Spring\packages
    Scanning: C:\Users\Tim\Documents\my games\Spring Dev\springCraft\maps
    Scanning: C:\Users\Tim\Documents\my games\Spring Dev\springCraft\base
    Scanning: C:\Users\Tim\Documents\my games\Spring Dev\springCraft\games
    [~ScopedOnceTimer][CArchiveScanner::ScanAllDirs] 226ms
    [WatchDog::DeregisterThread] deregistering controls for thread [vfsi]
    [ThreadPool::SetThreadCount][1] wanted=3 current=1 maximum=6 (init=1)
    [ThreadPool::SetThreadCount][2] workers=2
    [Threading] Main thread CPU affinity mask set: 4092
    [f=-000001] [~CBufferedArchive][name=C:\Users\Tim\Documents\my games\Spring Dev\springCraft\base\springcontent.sdz] 930 bytes cached in 2 files
    [f=-000001] [~ScopedOnceTimer][ISound::Init::New] 0ms
    [f=-000001] [Sound] [ISound::Initialize] spawning sound-thread (0.0ms)
    [f=-000001] [Sound] [Sound::UpdateThread][1] cfgMaxSounds=32
    [f=-000001] [WatchDog::RegisterThread] registering controls for thread [audio]
    [f=-000001] [Sound] [Sound::InitThread][1]
    [f=-000001] [Sound] [Sound::OpenLoopbackDevice] opening default device
    [f=-000001] [Sound] [Sound::OpenLoopbackDevice] unhandled SDL format: 0x8120
    [f=-000001] [Sound] [Sound::Cleanup][SDL_CloseAudioDevice(2)]
    [f=-000001] [Sound] [ISound::Initialize] spawning sound-thread (100.2ms)
    [f=-000001] [Sound] [Sound::OpenOpenALDevice] opening default device "OpenAL Soft"
    [f=-000001] [Sound] [ISound::Initialize] spawning sound-thread (201.2ms)
    [f=-000001] [Sound] [Sound::OpenOpenALDevice] device=54e713e0 context=0530a398
    [f=-000001] [Sound] [Sound::InitThread][4][OpenAL API Info]
    [f=-000001] [Sound]   Vendor:         OpenAL Community
    [f=-000001] [Sound]   Version:        1.1 ALSOFT 1.16.0
    [f=-000001] [Sound]   Renderer:       OpenAL Soft
    [f=-000001] [Sound]   AL Extensions:  AL_EXT_ALAW AL_EXT_DOUBLE AL_EXT_EXPONENT_DISTANCE AL_EXT_FLOAT32 AL_EXT_IMA4 AL_EXT_LINEAR_DISTANCE AL_EXT_MCFORMATS AL_EXT_MULAW AL_EXT_MULAW_MCFORMATS AL_EXT_OFFSET AL_EXT_source_distance_model AL_LOKI_quadriphonic AL_SOFT_block_alignment AL_SOFT_buffer_samples AL_SOFT_buffer_sub_data AL_SOFT_deferred_updates AL_SOFT_direct_channels AL_SOFT_loop_points AL_SOFT_MSADPCM AL_SOFT_source_latency AL_SOFT_source_length
    [f=-000001] [Sound]   ALC Extensions: ALC_ENUMERATE_ALL_EXT ALC_ENUMERATION_EXT ALC_EXT_CAPTURE ALC_EXT_DEDICATED ALC_EXT_disconnect ALC_EXT_EFX ALC_EXT_thread_local_context ALC_SOFTX_device_clock ALC_SOFTX_HRTF ALC_SOFT_loopback ALC_SOFTX_midi_interface ALC_SOFT_pause_device
    [f=-000001] [Sound]   Devices:
    [f=-000001] [Sound]     [Speakers (Realtek High Definition Audio)]
    [f=-000001] [Sound]     [Realtek Digital Output(Optical) (Realtek High Definition Audio)]
    [f=-000001] [Sound]     [Speakers (Realtek High Definition Audio)]
    [f=-000001] [Sound]     [Realtek Digital Output (Realtek High Definition Audio)]
    [f=-000001] [Sound] [Sound::GetMaxMonoSources] #attribs=15
    [f=-000001] [Sound] [Sound::GetMaxMonoSources] {cfg,alc}MaxSounds={32,255}
    [f=-000001] [Sound] Error:   EFX: AL_INVALID_VALUE (40963)
    [f=-000001] [Sound] Error:   Initializing EFX failed!
    [f=-000001] [Sound] [Sound::UpdateThread][2]
    [f=-000001] [~ScopedOnceTimer][ISound::Init::Dev] 301ms
    [f=-000001] 
    [f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SHOWN][1] fullScreen=0
    [f=-000001] [~ScopedOnceTimer][Sound::Iconified] 0ms
    [f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SHOWN][2]
    
    [f=-000001] 
    [f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SIZE_CHANGED][1] fullScreen=0
    [f=-000001] [GR::UpdateGLConfigs]
    [f=-000001] [GR::UpdateGLGeometry][1] winSize=<1920,1017>
    [f=-000001] [GR::UpdateGLGeometry][2] winSize=<1920,1017>
    [f=-000001] [GR::InitGLState] glAttribStatePtr=016cdcb4
    [f=-000001] [GR::LogDisplayMode] display-mode set to 1920x1017x24bpp@60Hz (windowed::decorated)
    [f=-000001] [~ScopedOnceTimer][GlobalRendering::UpdateGL] 1ms
    [f=-000001] [~ScopedOnceTimer][ActiveController::ResizeEvent] 0ms
    [f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SIZE_CHANGED][2]
    
    [f=-000001] 
    [f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SIZE_CHANGED][1] fullScreen=0
    [f=-000001] [GR::UpdateGLConfigs]
    [f=-000001] [GR::UpdateGLGeometry][1] winSize=<1920,1017>
    [f=-000001] [GR::UpdateGLGeometry][2] winSize=<1920,1017>
    [f=-000001] [GR::InitGLState] glAttribStatePtr=016cdcb4
    [f=-000001] [GR::LogDisplayMode] display-mode set to 1920x1017x24bpp@60Hz (windowed::decorated)
    [f=-000001] [~ScopedOnceTimer][GlobalRendering::UpdateGL] 0ms
    [f=-000001] [~ScopedOnceTimer][ActiveController::ResizeEvent] 0ms
    [f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SIZE_CHANGED][2]
    
    [f=-000001] [CPreGame] server using IP localhost and port 8452
    [f=-000001] [NetProto::InitLocalClient] connecting to local server
    [f=-000001] [PreGame::AddGameSetupArchivesToVFS] using map: Adansonia v4.1
    [f=-000001] [~CBufferedArchive][name=C:\Users\Tim\Documents\my games\Spring Dev\springCraft\base\maphelper.sdz] 34584 bytes cached in 9 files
    [f=-000001] [~CBufferedArchive][name=C:\Users\Tim\Documents\my games\Spring Dev\springCraft\base\springcontent.sdz] 523731 bytes cached in 182 files
    [f=-000001] [~CBufferedArchive][name=C:\Users\Tim\Documents\my games\Spring Dev\springCraft\base\spring\bitmaps.sdz] 5947433 bytes cached in 131 files
    [f=-000001] [~CBufferedArchive][name=C:\Users\Tim\Documents\my games\Spring Dev\springCraft\base\cursors.sdz] 523006 bytes cached in 112 files
    [f=-000001] [PreGame::StartServer]
    	mod-checksum=d9cffafab296d09c0aa5368746b8481fc593cd772efe7fc1ae9d3759d356546918765003db0a5c1b48a956a33c97ac726ef6f2b94a64a646f4a53c404f3e9941
    	map-checksum=5030b62b8369ff1f12db7c26418b4216e4fcaa20adad2fe03a1f689a4f26e946c23e4e509dff35e428e6d7cd5354e02ad4ce24027e4e9008498718731d226483
    [f=-000001] Warning: [UDPListener::TryBindSocket] opening socket on loopback address, other users will not be able to connect!
    [f=-000001] [UDPListener::TryBindSocket] binding UDP socket to IPv6-address ::1 (localhost) on port 8452
    [f=-000001] [UDPListener] successfully bound socket on port 8452
    [f=-000001] [~ScopedOnceTimer][PreGame::StartServer] 191ms
    [f=-000001] [PreGame::AddGameSetupArchivesToVFS] using map: Adansonia v4.1
    [f=-000001] [PreGame::AddGameSetupArchivesToVFS] using game: SpringCraft $VERSION (archive: sc.sdd)
    [f=-000001] PreGame::GameDataReceived] recording demo to "C:\Users\Tim\Documents\my games\Spring Dev\springCraft\demos\20190416_200915_Adansonia v4_104.0.1-1745-g3758b87 develop.sdfz"
    [f=-000001] [~ScopedOnceTimer][PreGame::GameDataReceived] 162ms
    [f=-000001] [PreGame::UpdateClientNet] received local player number 0 (team 0, allyteam 0), creating LoadScreen
    [f=-000001] [LuaIntro] Searching for new Widgets
    [f=-000001] [LuaIntro] Scanning: LuaIntro/Addons/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/Widgets/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/SystemAddons/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/SystemWidgets/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/chili/
    [f=-000001] [LuaIntro] Found new widget "SpringLogo"
    [f=-000001] [LuaIntro] Found new widget "LoadTexture"
    [f=-000001] [LuaIntro] Found new widget "LoadProgress"
    [f=-000001] [LuaIntro] Found new widget "Main"
    [f=-000001] [LuaIntro] Found new widget "Music"
    [f=-000001] [LuaIntro] Loading widgets   <>=vfs  **=raw  ()=unknown
    [f=-000001] [LuaIntro] Loading widget:      Engine Taskbar Stuff   <engine_taskbar_control.lua>
    [f=-000001] [LuaIntro] Loading widget:      LoadProgress           <loadprogress.lua>
    [f=-000001] [LuaIntro] Loading widget:      Main                   <main.lua>
    [f=-000001] [LuaIntro] Loading widget:      Music                  <music.lua>
    [f=-000001] [LuaIntro] Loading widget:      LoadTexture            <bg_texture.lua>
    [f=-000001] [LuaIntro] LuaIntro v1.0 (Lua 5.1)
    [f=-000001] [LoadScreen::Init] single-threaded
    [f=-000001] [WatchDog::RegisterThread] registering controls for thread [load]
    [f=-000001] [Game::LoadGame][1] globalQuit=0 threaded=0
    [f=-000001] [LoadScreen::SetLoadMessage] text="Parsing Map Information"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading SMF"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading Map (90 MB)"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading GameData Definitions"
    [f=-000001] small
    [f=-000001] [~ScopedOnceTimer][[defs.lua] loading all *Defs tables:] 6ms
    [f=-000001] [~ScopedOnceTimer][Game::LoadDefs (GameData)] 10ms
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading Radar Icons"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading Sound Definitions"
    [f=-000001] [Sound] [LoadSoundDefsImpl] parsed 4 sounds from gamedata/sounds.lua
    [f=-000001] [Sound] Error: [LoadSoundBuffer] unable to open audio file "sounds/beep4.wav"
    [f=-000001] [~ScopedOnceTimer][Game::LoadDefs (Sound)] 2ms
    [f=-000001] [Game::LoadGame][2] globalQuit=0 forcedQuit=0
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating Smooth Height Mesh"
    [f=-000001] [~ScopedOnceTimer][SmoothHeightMesh::MakeSmoothMesh] 51ms
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating QuadField & CEGs"
    [f=-000001] [Init] number of ArmorDefs: 1
    [f=-000001] [RegisterModelFormats] supported (Assimp) model formats: *.3ds;*.blend;*.dae;*.lwo;*.obj;
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating Unit Textures"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating Sky"
    [f=-000001] [Game::LoadGame][3] globalQuit=0 forcedQuit=0
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading Weapon Definitions"
    [f=-000001] Warning: WeaponDefs: Unknown tag "collidenontarget" in "small_weapon"
    [f=-000001] [~ScopedOnceTimer][Game::PostLoadSim (WeaponDefs)] 2ms
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading Unit Definitions"
    [f=-000001] [~ScopedOnceTimer][Game::PostLoadSim (UnitDefs)] 0ms
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading Feature Definitions"
    [f=-000001] [~ScopedOnceTimer][Game::PostLoadSim (FeatureDefs)] 2ms
    [f=-000001] [IPathManager::GetInstance] using HAPFS
    [f=-000001] [LoadScreen::SetLoadMessage] text="Initializing Map Features"
    [f=-000001] [Sound] Error: [LoadSoundBuffer] unable to open audio file "sounds/beep6.wav"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating ShadowHandler"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating InfoTextureHandler"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating GroundDrawer"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading Map Tiles"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading Square Textures"
    [f=-000001] Warning: [OPENGL_DEBUG] id=1280 source=API type=ERROR severity=HIGH msg="GL_INVALID_ENUM error generated."
    [f=-000001] Error: DLL information:
    [f=-000001] Error: 0x00400000	spring
    [f=-000001] Error: 0x772b0000	ntdll
    [f=-000001] Error: 0x75ce0000	KERNEL32
    [f=-000001] Error: 0x75f30000	KERNELBASE
    [f=-000001] Error: 0x759e0000	ADVAPI32
    [f=-000001] Error: 0x766e0000	msvcrt
    [f=-000001] Error: 0x10000000	DevIL
    [f=-000001] Error: 0x76410000	sechost
    [f=-000001] Error: 0x75bd0000	RPCRT4
    [f=-000001] Error: 0x73b70000	SspiCli
    [f=-000001] Error: 0x73b60000	CRYPTBASE
    [f=-000001] Error: 0x73c10000	bcryptPrimitives
    [f=-000001] Error: 0x767a0000	IMAGEHLP
    [f=-000001] Error: 0x752c0000	ucrtbase
    [f=-000001] Error: 0x73c80000	SHELL32
    [f=-000001] Error: 0x73a10000	IPHLPAPI
    [f=-000001] Error: 0x76120000	USER32
    [f=-000001] Error: 0x759a0000	cfgmgr32
    [f=-000001] Error: 0x73b90000	win32u
    [f=-000001] Error: 0x69fb0000	OPENGL32
    [f=-000001] Error: 0x57fb0000	MSVCP80
    [f=-000001] Error: 0x76950000	GDI32
    [f=-000001] Error: 0x76840000	shcore
    [f=-000001] Error: 0x75a60000	gdi32full
    [f=-000001] Error: 0x75040000	combase
    [f=-000001] Error: 0x57f10000	MSVCR80
    [f=-000001] Error: 0x768d0000	msvcp_win
    [f=-000001] Error: 0x753e0000	windows.storage
    [f=-000001] Error: 0x69f70000	GLU32
    [f=-000001] Error: 0x76690000	shlwapi
    [f=-000001] Error: 0x767c0000	kernel.appcore
    [f=-000001] Error: 0x752a0000	profapi
    [f=-000001] Error: 0x74fe0000	powrprof
    [f=-000001] Error: 0x74fd0000	FLTLIB
    [f=-000001] Error: 0x767d0000	WS2_32
    [f=-000001] Error: 0x6b440000	libcurl
    [f=-000001] Error: 0x6b800000	OpenAL32
    [f=-000001] Error: 0x6b5c0000	libvorbisfile-3
    [f=-000001] Error: 0x70e40000	libfreetype-6
    [f=-000001] Error: 0x76460000	CRYPT32
    [f=-000001] Error: 0x76ea0000	ole32
    [f=-000001] Error: 0x73c70000	MSASN1
    [f=-000001] Error: 0x65180000	libfontconfig-1
    [f=-000001] Error: 0x6ef80000	glew32
    [f=-000001] Error: 0x73bb0000	wldap32
    [f=-000001] Error: 0x6c740000	SDL2
    [f=-000001] Error: 0x6d740000	libvorbis-0
    [f=-000001] Error: 0x70880000	libogg-0
    [f=-000001] Error: 0x76600000	IMM32
    [f=-000001] Error: 0x62e80000	zlib1
    [f=-000001] Error: 0x77110000	OLEAUT32
    [f=-000001] Error: 0x72ae0000	WINMM
    [f=-000001] Error: 0x68f40000	libexpat-1
    [f=-000001] Error: 0x73a50000	VERSION
    [f=-000001] Error: 0x71dc0000	winmmbase
    [f=-000001] Error: 0x57b30000	nvapi
    [f=-000001] Error: 0x76a70000	SETUPAPI
    [f=-000001] Error: 0x6f5c0000	dxgi
    [f=-000001] Error: 0x715c0000	uxtheme
    [f=-000001] Error: 0x762c0000	MSCTF
    [f=-000001] Error: 0x55ef0000	nvoglv32
    [f=-000001] Error: 0x71810000	WTSAPI32
    [f=-000001] Error: 0x70fb0000	DEVOBJ
    [f=-000001] Error: 0x75c90000	WINTRUST
    [f=-000001] Error: 0x70f70000	ntmarta
    [f=-000001] Error: 0x71640000	dwmapi
    [f=-000001] Error: 0x6ecf0000	WINSTA
    [f=-000001] Error: 0x769e0000	clbcatq
    [f=-000001] Error: 0x6b8d0000	TextInputFramework
    [f=-000001] Error: 0x6b5e0000	CoreMessaging
    [f=-000001] Error: 0x0fb30000	CoreUIComponents
    [f=-000001] Error: 0x6edb0000	wintypes
    [f=-000001] Error: 0x73a60000	shfolder
    [f=-000001] Error: 0x6ed50000	MMDevApi
    [f=-000001] Error: 0x72960000	PROPSYS
    [f=-000001] Error: 0x6ed40000	avrt
    [f=-000001] Error: 0x11460000	AUDIOSES
    [f=-000001] Error: 0x700a0000	dsound
    [f=-000001] Error: 0x713c0000	secur32
    [f=-000001] Error: 0x71110000	mswsock
    [f=-000001] Error: 0x73980000	DNSAPI
    [f=-000001] Error: 0x762b0000	NSI
    [f=-000001] Error: 0x70720000	rasadhlp
    [f=-000001] Error: 0x706d0000	fwpuclnt
    [f=-000001] Error: 0x72460000	bcrypt
    [f=-000001] Error: 0x71350000	dhcpcsvc
    [f=-000001] Error: 0x69d90000	dbghelp
    
    txt file icon infolog.txt (20,473 bytes) 2019-04-16 12:13 +

-Relationships
+Relationships

-Notes

~0019940

Kloot (developer)

Last edited: 2019-04-16 12:39

View 2 revisions

Apparently GL stacktraces on Windows are busted, DebugGLStacktraces=0 should solve this.

The invalid enum is something of a false alarm and harmless in context.

~0019941

Kloot (developer)

GL error is gone in f6f05c26.
+Notes

-Issue History
Date Modified Username Field Change
2019-04-16 12:13 Google_Frog New Issue
2019-04-16 12:13 Google_Frog File Added: infolog.txt
2019-04-16 12:38 Kloot Note Added: 0019940
2019-04-16 12:39 Kloot Note Edited: 0019940 View Revisions
2019-04-16 12:58 Kloot Assigned To => Kloot
2019-04-16 12:58 Kloot Status new => resolved
2019-04-16 12:58 Kloot Resolution open => fixed
2019-04-16 12:58 Kloot Fixed in Version => 104.0 +git
2019-04-16 12:58 Kloot Note Added: 0019941
+Issue History